<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AttributeContainer (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AttributeContainer (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/attributes/AttributeCompatibilityRule.html" title="interface in org.gradle.api.attributes"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/attributes/AttributeDisambiguationRule.html" title="interface in org.gradle.api.attributes"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/attributes/AttributeContainer.html" target="_top">Frames</a></li>
<li><a href="AttributeContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.attributes</div>
<h2 title="Interface AttributeContainer" class="title">Interface AttributeContainer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes">HasAttributes</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">AttributeContainer</span>
extends <a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes">HasAttributes</a></pre>
<div class="block">An attribute container is a container of <a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes"><code>attributes</code></a>, which are
 strongly typed named entities. Such a container is responsible for storing and
 getting attributes in a type safe way. In particular, attributes are strongly typed,
 meaning that when we get a value from the container, the returned value type is
 inferred from the type of the attribute. In a way, an attribute container is
 similar to a <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a> where the entry is a "typed String" and the value
 is of the string type. However the set of methods available to the container is
 much more limited.

 It is not allowed to have two attributes with the same name but different types in
 the container.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.3</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;<a href="../../../../org/gradle/api/attributes/AttributeContainer.html" title="interface in org.gradle.api.attributes">AttributeContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/AttributeContainer.html#attribute(org.gradle.api.attributes.Attribute,%20T)">attribute</a></strong>(<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;T&gt;&nbsp;key,
         T&nbsp;value)</code>
<div class="block">Sets an attribute value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/AttributeContainer.html#contains(org.gradle.api.attributes.Attribute)">contains</a></strong>(<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;?&gt;&nbsp;key)</code>
<div class="block">Tells if a specific attribute is found in this container.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;T</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/AttributeContainer.html#getAttribute(org.gradle.api.attributes.Attribute)">getAttribute</a></strong>(<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;T&gt;&nbsp;key)</code>
<div class="block">Returns the value of an attribute found in this container, or <code>null</code> if
 this container doesn't have it.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/AttributeContainer.html#isEmpty()">isEmpty</a></strong>()</code>
<div class="block">Returns true if this container is empty.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/AttributeContainer.html#keySet()">keySet</a></strong>()</code>
<div class="block">Returns the set of attribute keys of this container.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.attributes.HasAttributes">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes">HasAttributes</a></h3>
<code><a href="../../../../org/gradle/api/attributes/HasAttributes.html#getAttributes()">getAttributes</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="keySet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keySet</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;?&gt;&gt;&nbsp;keySet()</pre>
<div class="block">Returns the set of attribute keys of this container.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the set of attribute keys.</dd></dl>
</li>
</ul>
<a name="attribute(org.gradle.api.attributes.Attribute,java.lang.Object)">
<!--   -->
</a><a name="attribute(org.gradle.api.attributes.Attribute, T)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attribute</h4>
<pre>&lt;T&gt;&nbsp;<a href="../../../../org/gradle/api/attributes/AttributeContainer.html" title="interface in org.gradle.api.attributes">AttributeContainer</a>&nbsp;attribute(<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;T&gt;&nbsp;key,
                               T&nbsp;value)</pre>
<div class="block">Sets an attribute value. It is not allowed to use <code>null</code> as
 an attribute value.</div>
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - the type of the attribute</dd><dt><span class="strong">Parameters:</span></dt><dd><code>key</code> - the attribute key</dd><dd><code>value</code> - the attribute value</dd>
<dt><span class="strong">Returns:</span></dt><dd>this container</dd></dl>
</li>
</ul>
<a name="getAttribute(org.gradle.api.attributes.Attribute)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttribute</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
&lt;T&gt;&nbsp;T&nbsp;getAttribute(<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;T&gt;&nbsp;key)</pre>
<div class="block">Returns the value of an attribute found in this container, or <code>null</code> if
 this container doesn't have it.</div>
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - the type of the attribute</dd><dt><span class="strong">Parameters:</span></dt><dd><code>key</code> - the attribute key</dd>
<dt><span class="strong">Returns:</span></dt><dd>the attribute value, or null if not found</dd></dl>
</li>
</ul>
<a name="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>boolean&nbsp;isEmpty()</pre>
<div class="block">Returns true if this container is empty.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this container is empty.</dd></dl>
</li>
</ul>
<a name="contains(org.gradle.api.attributes.Attribute)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>contains</h4>
<pre>boolean&nbsp;contains(<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;?&gt;&nbsp;key)</pre>
<div class="block">Tells if a specific attribute is found in this container.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>key</code> - the key of the attribute</dd>
<dt><span class="strong">Returns:</span></dt><dd>true if this attribute is found in this container.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/attributes/AttributeCompatibilityRule.html" title="interface in org.gradle.api.attributes"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/attributes/AttributeDisambiguationRule.html" title="interface in org.gradle.api.attributes"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/attributes/AttributeContainer.html" target="_top">Frames</a></li>
<li><a href="AttributeContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
